## tucan 0.3.8

=== Makefile ===
###############################################################################
## Tucan Project
##
## Copyright (C) 2008-2009 Fran Lupion crak@tucaneando.com
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################

DESTDIR		=	/usr/local
BINDIR		=	$(DESTDIR)/bin/
MAINDIR		=	$(DESTDIR)/share/tucan/
ICONDIR		=	$(DESTDIR)/share/pixmaps/
MANDIR		=	$(DESTDIR)/share/man/man1/
DESKTOPDIR	=	$(DESTDIR)/share/applications/

NAME		=	tucan
EXECFILE	=	tucan.py
ICONFILE	=	tucan.svg
MANPAGE		=	tucan.1.gz
DESKTOPFILE	=	tucan.desktop
PLUGINDIR	=	default_plugins/
I18NDIR		=	i18n/
MEDIADIR	=	media/

basic-install:
	mkdir -p $(BINDIR) $(MAINDIR) $(ICONDIR) $(MANDIR) $(DESKTOPDIR)

	install -p -m 0644 *.py $(MAINDIR)
	chmod 0755 $(MAINDIR)$(EXECFILE)

	cp -pR $(PLUGINDIR) $(MAINDIR)
	cp -pR $(I18NDIR) $(MAINDIR)
	cp -pR $(MEDIADIR) $(MAINDIR)

	install -p -m 0644 $(MEDIADIR)$(ICONFILE) $(ICONDIR)

	install -p -m 0644 $(MANPAGE) $(MANDIR)

	install -p -m 0644 $(DESKTOPFILE) $(DESKTOPDIR)

install:
	make basic-install

	ln -sf $(MAINDIR)$(EXECFILE) $(BINDIR)$(NAME)

uninstall:
	rm -rf $(MAINDIR)
	rm -f $(BINDIR)$(NAME)
	rm -f $(ICONDIR)$(ICONFILE)
	rm -f $(MANDIR)$(MANPAGE)
	rm -f $(DESKTOPDIR)$(DESKTOPFILE)

## tucan 0.3.9

=== Makefile ===
--- 
+++ 
@@ -30,9 +30,11 @@
 ICONFILE	=	tucan.svg
 MANPAGE		=	tucan.1.gz
 DESKTOPFILE	=	tucan.desktop
+COREDIR		=	core/
 PLUGINDIR	=	default_plugins/
 I18NDIR		=	i18n/
 MEDIADIR	=	media/
+UIDIR		=	ui/
 
 basic-install:
 	mkdir -p $(BINDIR) $(MAINDIR) $(ICONDIR) $(MANDIR) $(DESKTOPDIR)
@@ -40,9 +42,11 @@
 	install -p -m 0644 *.py $(MAINDIR)
 	chmod 0755 $(MAINDIR)$(EXECFILE)
 
+	cp -pR $(COREDIR) $(MAINDIR)
 	cp -pR $(PLUGINDIR) $(MAINDIR)
 	cp -pR $(I18NDIR) $(MAINDIR)
 	cp -pR $(MEDIADIR) $(MAINDIR)
+	cp -pR $(UIDIR) $(MAINDIR)
 
 	install -p -m 0644 $(MEDIADIR)$(ICONFILE) $(ICONDIR)

## tucan 0.3.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 ## Tucan Project
 ##
-## Copyright (C) 2008-2009 Fran Lupion crak@tucaneando.com
+## Copyright (C) 2008-2010 Fran Lupion crak@tucaneando.com
 ##
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -27,14 +27,21 @@
 
 NAME		=	tucan
 EXECFILE	=	tucan.py
-ICONFILE	=	tucan.svg
+ICONFILE	=	tucan.png
+ICONFILESCALABLE	=	tucan.svg
 MANPAGE		=	tucan.1.gz
 DESKTOPFILE	=	tucan.desktop
 COREDIR		=	core/
 PLUGINDIR	=	default_plugins/
 I18NDIR		=	i18n/
 MEDIADIR	=	media/
+MEDIADIRSCALABLE	=	media/scalable/
 UIDIR		=	ui/
+
+compile:
+
+install:	basic-install
+	ln -sf $(MAINDIR)$(EXECFILE) $(BINDIR)$(NAME)
 
 basic-install:
 	mkdir -p $(BINDIR) $(MAINDIR) $(ICONDIR) $(MANDIR) $(DESKTOPDIR)
@@ -48,20 +55,18 @@
 	cp -pR $(MEDIADIR) $(MAINDIR)
 	cp -pR $(UIDIR) $(MAINDIR)
 
+	install -p -m 0644 $(MEDIADIRSCALABLE)$(ICONFILESCALABLE) $(ICONDIR)
+
 	install -p -m 0644 $(MEDIADIR)$(ICONFILE) $(ICONDIR)
 
 	install -p -m 0644 $(MANPAGE) $(MANDIR)
 
 	install -p -m 0644 $(DESKTOPFILE) $(DESKTOPDIR)
 
-install:
-	make basic-install
-
-	ln -sf $(MAINDIR)$(EXECFILE) $(BINDIR)$(NAME)
-
 uninstall:
 	rm -rf $(MAINDIR)
 	rm -f $(BINDIR)$(NAME)
+	rm -f $(ICONDIR)$(ICONFILESCALABLE)
 	rm -f $(ICONDIR)$(ICONFILE)
 	rm -f $(MANDIR)$(MANPAGE)
 	rm -f $(DESKTOPDIR)$(DESKTOPFILE)

=== debian/changelog ===
tucan (0.3.10-2) unstable; urgency=low

  * Convert to dh_python2.
    + Add X-Python-Version.
    + Add python (>= 2.5) to B-D.
    + Change python (>= 2.5) to ${python:Depends}
  * Use tiny rules.
    + Add tucan.install.
  * Set debhelper v8 in B-D.
  * Switch compat level 7 to 8.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Only recognize final releases in watch file.
  * Don't install upload_manager.py because the
    uploads still are not supported and because
    cause an error in the dh_python2 process.
  * Update copyright file to DEP5 rev 174.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 29 Oct 2011 18:32:47 -0500

tucan (0.3.10-1) unstable; urgency=low

  * New upstream release. (Closes: #595156 LP: #739791)
    + Update watch file. (Closes: #573561)
      - Thanks to Angel Abad
    + Add menu file. (Closes: #608293) 
  * Bump Standards-Version to 3.9.1 (no changes).
  * Add myself to Uploaders.
  * Remove docs.
  * Use debhelper (>=7.0.50~) in B-D
  * Use 3.0 (quilt) format
  * Add ${misc:Depends} in Depends
    + One Dependency for line
  * Update copyright to DEP5 format
  * Use tucan.xpm icon instead upstream icons

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Tue, 12 Apr 2011 15:47:21 -0500

tucan (0.3.9-1) unstable; urgency=low

  * New upstream release
  * debian-policy updated to 3.8.3
  * Solved shutdown typo r1282

 -- Fran Lupion (Crak) <crak@tucaneando.com>  Tue, 13 Oct 2009 22:27:36 +0200

tucan (0.3.8-1) unstable; urgency=low

  * New upstream release
  * debian-policy updated to 3.8.2
  * License upgraded to GPLv3
  * New upstream/mainteiner mail
  * Solved data loss (Closes: #531392)

 -- Fran Lupion (Crak) <crak@tucaneando.com>  Wed, 15 Jul 2009 22:54:52 +0200

tucan (0.3.7-1) unstable; urgency=low

  * New upstream release
  * Uploaded to debian (Closes: #520470)

 -- Fran Lupion (Crak) <crak@tucaneando.com>  Sun, 19 Apr 2009 19:39:32 +0200

tucan (0.3.6-1) unstable; urgency=low

  * Initial release

 -- Fran Lupion (Crak) <crak@tucaneando.com>  Tue, 07 Apr 2009 19:23:20 +0200

=== debian/control ===
Source: tucan
Section: net
Priority: optional
Maintainer: Fran Lupion (Crak) <crak@tucaneando.com>
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>
Build-Depends: debhelper (>= 8), python (>= 2.5)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.tucaneando.com

Package: tucan
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}, 
         python-gtk2, 
         python-imaging, 
         tesseract-ocr, 
         tesseract-ocr-eng, 
         librsvg2-common
Description: Download and upload manager for 1-Click Hosters
 Designed for automatic management of sites like:
  - http://rapidshare.com/
  - http://megaupload.com/
  - http://gigasize.com/
  - http://mediafire.com/
  - http://4shared.com/
  - http://sendspace.com/
  - http://zshare.net/
  - http://filefactory.com/
  - http://easy-share.com/
  - http://badongo.com/
  - http://depositfiles.com/
  - http://hotfile.com/
  - (...)
 Main Features:
  - Graphical User Interface in GTK+.
  - Easy to expand with plugins.
  - Lightweight and fast.
  - Management of waits between downloads.
  - Captcha recognition where needed.
  - Management of interchangeable links.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tucan/usr basic-install
	-rm -rf $(CURDIR)/debian/tucan/usr/share/pixmaps/tucan.png
	-rm -rf $(CURDIR)/debian/tucan/usr/share/pixmaps/tucan.svg
	# Don't install upload_manager.py because 
	# the uploads still are not supported.
	-rm -rf $(CURDIR)/debian/tucan/usr/share/tucan/core/upload_manager.py

override_dh_auto_clean:
	find . -type f -name "*.pyc" -exec rm -f {} \;
	dh_auto_clean -- uninstall

=== debian/watch ===
version=3
http://forja.rediris.es/frs/?group_id=408 \
  /frs/download.php/.*/tucan-(\d[\d.-]+).tar.gz
